ALAS-2021-1492


Amazon Linux AMI Security Advisory: ALAS-2021-1492
Advisory Release Date: 2021-04-07 00:18 Pacific
Advisory Updated Date: 2021-04-07 18:49 Pacific
Severity: Low
References: CVE-2021-26937 

Issue Overview:

A flaw was found in screen. A specially crafted sequence of combining characters could cause an out of bounds write leading to arbitrary code execution. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability. (CVE-2021-26937)


Affected Packages:

screen


Issue Correction:
Run yum update screen to update your system.

New Packages:
i686:
    screen-debuginfo-4.0.3-19.7.amzn1.i686
    screen-4.0.3-19.7.amzn1.i686

src:
    screen-4.0.3-19.7.amzn1.src

x86_64:
    screen-debuginfo-4.0.3-19.7.amzn1.x86_64
    screen-4.0.3-19.7.amzn1.x86_64